'***************************************************************************************
'
' MikronautsVGA50_Demo
'
' Copyright 2011 William Henning
'
' http://Mikronauts.com
' mikronauts@gmail.com
'
' DESCRIPTION:
'
' SINGLE COG 50 column text mode driver demo with varying number of rows of text
'
'       50x75, 50x60, 50x50, 50x40, 50x30, 50x25, 50x20
'       50x15, 50x12, 50x10, 50x8,  50x6,  50x5
'
' ONLY un-comment one of the font files in MikronautsVGA64 !!!!!
'
' NOTES:
'
' I have three other drivers that use these same fonts to provide many more text modes:
'
' - MikronautsVGA80 provides 80 colums; requires the Prop to run at 100Mhz (16*6.25MHz)
' - MikronautsVGA64 provides 64 columns; runs at 16*5.00Mhz
' - MikronautsVGA40 provides 40 columns; runs at 16*5.00Mhz
'
' Now v1.0 with koroneko's brilliant hub/pixel clock forcing patch.
'
'***************************************************************************************

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000


OBJ

  vga : "MikronautsSVGA50" ' for 50 column single cog drivers - requires 5.00Mhz crystal

VAR

  long x, y

PUB start

  vga.start(16)

  vga.cls

  repeat y from 0 to vga#lines - 1
    repeat x from 0 to vga#chars - 1
      vga.put(x,y,(y*vga#chars+x)&255)

  repeat
    repeat 100000
    vga.scroll


